
TYPO3.Flow - Bug # 38435

Status: Resolved Priority: Must have
Author: Bastian Waidelich Category: - Testing -
Created: 2012-06-27 Assigned To: Bastian Waidelich
Updated: 2012-07-06 Due date:
PHP Version:
Has patch: No
Complexity: no-brainer
Affected Flow version: Git 1.2 (master)
Subject: Reset the router for each functional test
Description

Currently all functional tests share the same instance of \TYPO3\FLOW3\Mvc\Routing\Router because the InternalRequestEngine is
of scope singleton.
This leads to unexpected results and failing tests if tests add custom routes.

The router instance should be reset for each test case.

Associated revisions
Revision fe1e420c - 2012-06-27 16:26 - Bastian Waidelich

[BUGFIX] Reset the router for each functional test

Currently all functional tests share the same instance of
\TYPO3\FLOW3\Mvc\Routing\Router because the InternalRequestEngine
is of scope singleton.
This leads to unexpected results and failing tests if tests add
custom routes.

This change fixes this by reinitializing the request engine for
each test case that has testableHttpEnabled set to TRUE.

Change-Id: I5a5bf17d00c5be05748a18122dae42989f429221
Fixes: #38435
Releases: 1.1, 1.2

Revision 3bb66040 - 2012-07-03 16:11 - Bastian Waidelich

[BUGFIX] Reset the router for each functional test

Currently all functional tests share the same instance of
\TYPO3\FLOW3\Mvc\Routing\Router because the InternalRequestEngine
is of scope singleton.
This leads to unexpected results and failing tests if tests add
custom routes.

This change fixes this by reinitializing the request engine for
each test case that has testableHttpEnabled set to TRUE.
Change-Id: I5a5bf17d00c5be05748a18122dae42989f429221
Fixes: #38435
Releases: 1.1, 1.2

Revision cff94d79 - 2012-07-06 11:16 - Bastian Waidelich

[BUGFIX] Reset InternalRequestEngine for each functional test

Currently all functional tests share the same instance of
\TYPO3\FLOW3\Mvc\Routing\Router because the InternalRequestEngine
is of scope singleton.
This leads to unexpected results and failing tests if tests add
custom routes.

This change fixes this by making the ObjectManager forget the
singleton instance of the request engine after each testrun.
This also reverts the changes that were introduced with
I5a5bf17d00c5be05748a18122dae42989f429221 as they did not
have the expected effect.

Change-Id: Ie0cd7abf0a5b5021681e3db4854628990bec1e4b
Fixes: #38435
Releases: 1.1, 1.2

Revision 06e21083 - 2012-07-06 11:31 - Bastian Waidelich

[BUGFIX] Reset InternalRequestEngine for each functional test

Currently all functional tests share the same instance of
\TYPO3\FLOW3\Mvc\Routing\Router because the InternalRequestEngine
is of scope singleton.
This leads to unexpected results and failing tests if tests add
custom routes.

This change fixes this by making the ObjectManager forget the
singleton instance of the request engine after each testrun.
This also reverts the changes that were introduced with
I5a5bf17d00c5be05748a18122dae42989f429221 as they did not
have the expected effect.

Change-Id: Ie0cd7abf0a5b5021681e3db4854628990bec1e4b
Fixes: #38435
Releases: 1.1, 1.2

History
#1 - 2012-06-27 16:11 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12402

#2 - 2012-06-27 16:22 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12402

#3 - 2012-06-27 16:24 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12402

#4 - 2012-06-27 16:26 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12405

#5 - 2012-07-03 16:12 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12402

#6 - 2012-07-03 16:22 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

#7 - 2012-07-06 11:13 - Bastian Waidelich
- Status changed from Resolved to Accepted
- % Done changed from 100 to 0

The solution provided with http://review.typo3.org/12402 did not solve the issue. We need to reset the InternalRequestEngine as the router can't be
reset for some reason.

#8 - 2012-07-06 11:16 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12661

#9 - 2012-07-06 11:32 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12662
#10 - 2012-07-06 14:49 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:06e21083c4f806973bcb1176d6ae74bd473a6ffc.
